solver.c File Reference

Implementation file for the solver module. More...

`#include "config.h"`
`#include "nfft3.h"`
`#include "infft.h"`
Include dependency graph for solver.c:

Go to the source code of this file.

## Macros

#define | X(name) CONCAT(solver_,name)

## Functions

void | CONCAT (CONCAT(solver_, init_advanced_complex)
void | CONCAT (CONCAT(solver_, init_complex)
void | CONCAT (CONCAT(solver_, before_loop_complex)
static void | solver_loop_one_step_landweber_complex (CONCAT(solver_, plan_complex)*ths)
| void solver_loop_one_step_landweber
static void | solver_loop_one_step_steepest_descent_complex (CONCAT(solver_, plan_complex)*ths)
| void solver_loop_one_step_steepest_descent
static void | solver_loop_one_step_cgnr_complex (CONCAT(solver_, plan_complex)*ths)
| void solver_loop_one_step_cgnr
static void | solver_loop_one_step_cgne_complex (CONCAT(solver_, plan_complex)*ths)
| void solver_loop_one_step_cgne
void | CONCAT (CONCAT(solver_, loop_one_step_complex)
| void solver_loop_one_step
void | CONCAT (CONCAT(solver_, finalize_complex)
| void solver_finalize
void | CONCAT (CONCAT(solver_, init_advanced_double)
| void solver_finalize
void | CONCAT (CONCAT(solver_, init_double)
void | CONCAT (CONCAT(solver_, before_loop_double)
static void | solver_loop_one_step_landweber_double (CONCAT(solver_, plan_double)*ths)
| void solver_loop_one_step_landweber
static void | solver_loop_one_step_steepest_descent_double (CONCAT(solver_, plan_double)*ths)
| void solver_loop_one_step_steepest_descent
static void | solver_loop_one_step_cgnr_double (CONCAT(solver_, plan_double)*ths)
| void solver_loop_one_step_cgnr
static void | solver_loop_one_step_cgne_double (CONCAT(solver_, plan_double)*ths)
| void solver_loop_one_step_cgne
void | CONCAT (CONCAT(solver_, loop_one_step_double)
| void solver_loop_one_step
void | CONCAT (CONCAT(solver_, finalize_double)
| void solver_finalize

## Detailed Description

Implementation file for the solver module.

Author
  Stefan Kunis

Definition in file solver.c.